import ReactEcharts from 'echarts-for-react';
import echarts from 'echarts';
import React from 'react';
import { Button, Card, Col, DatePicker, Row, Statistic } from 'antd';
 
 
import config from '../Config.js';
import Layout from 'antd/lib/layout/layout';
import Trend from '../charts/Trend.js';

const SimpleCard = (title, value) => {
    return (
        <Col span={4}>
            <Card style={{width: 200, height: 100, scale: 0.8}}>
                <Statistic   title={title} value={value} suffix="人"></Statistic>
            </Card>
        </Col>
    )
}

// Playerduo 陪玩者
class Playerduo extends React.Component {
    state = {

    }

    render() {

        return (
            <Layout>
                <StatisticBoard></StatisticBoard>
                <Trend trendurl={config.trend_online}></Trend>
            </Layout>
        )
    }
}

class StatisticBoard extends React.Component {

    state = {
        player_count: 0
    }

    componentDidMount() {
        this.getPlayerCount();
    }

    getPlayerCount() {
        fetch(config.count_player).then((response)=>{
            if (response.ok) {
                response.json().then((response) => {
                    if (response.code === 0) {
                        this.setState({  player_count: response.data.count  })
                    }
                })
            }
        })
    }

    render() {
        return (
            <Layout style={{padding: 8,   width:"100%"}}>
                <Row justify="center"  gutter={[24,16]} >
                        {SimpleCard("陪玩者", this.state.player_count)}
                        {/* {SimpleCard("陪玩", 1)} */}
                </Row>
            </Layout>
        )
    }
}


export default Playerduo;